configure: Support older version of openjpeg1
authorLuca Barbato <lu_zero@gentoo.org>
Wed, 12 Mar 2014 09:30:07 +0000 (09:30 +0000)
committerAnton Khirnov <anton@khirnov.net>
Mon, 21 Apr 2014 05:33:14 +0000 (07:33 +0200)
It should work best for debian stable and people not installing the .pc
file.
(cherry picked from commit aa807425395caa17a85ed2833133278e8bd44a76)

Conflicts:
configure

Signed-off-by: Anton Khirnov <anton@khirnov.net>
configure

index 362d788..466ce54 100755 (executable)
--- a/configure
+++ b/configure
@@ -3499,7 +3499,8 @@ enabled libmp3lame && require  "libmp3lame >= 3.98.3" lame/lame.h lame_set_VBR_q
 enabled libopencore_amrnb  && require libopencore_amrnb opencore-amrnb/interf_dec.h Decoder_Interface_init -lopencore-amrnb
 enabled libopencore_amrwb  && require libopencore_amrwb opencore-amrwb/dec_if.h D_IF_init -lopencore-amrwb
 enabled libopencv  && require_pkg_config opencv opencv/cv.h cvCreateImageHeader
-enabled libopenjpeg && require_pkg_config libopenjpeg1 openjpeg.h opj_version
+enabled libopenjpeg && { { check_header openjpeg.h && check_lib2 openjpeg.h opj_version -lopenjpeg; } ||
+                         { require_pkg_config libopenjpeg1 openjpeg.h opj_version; } }
 enabled libopus    && require_pkg_config opus opus_multistream.h opus_multistream_decoder_create
 enabled libpulse && require_pkg_config libpulse-simple pulse/simple.h pa_simple_new
 enabled librtmp    && require_pkg_config librtmp librtmp/rtmp.h RTMP_Socket